import {} from 'viem';
import {} from 'viem/zksync';
import { deployContract } from './actions/deployContract.js';
import { prepareTransactionRequest, } from './actions/prepareTransaction.js';
import { sendTransaction, sendTransactionBatch, } from './actions/sendTransaction.js';
import { signMessage } from './actions/signMessage.js';
import { signTransaction } from './actions/signTransaction.js';
import { signTypedData } from './actions/signTypedData.js';
import { writeContract } from './actions/writeContract.js';
import { EOA_VALIDATOR_ADDRESS } from './constants.js';
export function globalWalletActions(signerClient, publicClient, isPrivyCrossApp = false) {
    return (client) => ({
        prepareAbstractTransactionRequest: (args) => prepareTransactionRequest(client, signerClient, publicClient, args),
        sendTransaction: (args) => sendTransaction(client, signerClient, publicClient, args, isPrivyCrossApp),
        sendTransactionBatch: (args) => sendTransactionBatch(client, signerClient, publicClient, args, isPrivyCrossApp),
        signMessage: (args) => signMessage(client, signerClient, args, isPrivyCrossApp),
        signTransaction: (args) => signTransaction(client, signerClient, args, EOA_VALIDATOR_ADDRESS),
        signTypedData: (args) => signTypedData(client, signerClient, args, isPrivyCrossApp),
        deployContract: (args) => deployContract(client, signerClient, publicClient, args, isPrivyCrossApp),
        writeContract: (args) => writeContract(Object.assign(client, {
            sendTransaction: (args) => sendTransaction(client, signerClient, publicClient, args, isPrivyCrossApp),
        }), signerClient, publicClient, args),
    });
}
//# sourceMappingURL=walletActions.js.map